org.apache.commons.ssl.asn1

## Class DERGenerator

- java.lang.Object
- - org.apache.commons.ssl.asn1.ASN1Generator
  - - org.apache.commons.ssl.asn1.DERGenerator

Direct Known Subclasses:
  DERSequenceGenerator

    public abstract class DERGenerator
    extends ASN1Generator

### Field Summary

Fields
`private boolean` `_isExplicit`
`private boolean` `_tagged`
`private int` `_tagNo`

### Fields inherited from class org.apache.commons.ssl.asn1.ASN1Generator

`_out`

### Constructor Summary

Constructors
`protected` `DERGenerator(java.io.OutputStream out)`
`` `DERGenerator(java.io.OutputStream out, int tagNo, boolean isExplicit)`

### Method Summary

Methods
`(package private) void` `writeDEREncoded(int tag, byte[] bytes)`
`(package private) void` `writeDEREncoded(java.io.OutputStream out, int tag, byte[] bytes)`
`(package private) void` `writeDEREncoded(java.io.OutputStream out, int tag, java.io.InputStream in)`
`private void` `writeLength(java.io.OutputStream out, int length)`

### Methods inherited from class org.apache.commons.ssl.asn1.ASN1Generator

`getRawOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _tagged

    private boolean _tagged

#### _isExplicit

    private boolean _isExplicit

#### _tagNo

    private int _tagNo

### Constructor Detail

#### DERGenerator

    protected DERGenerator(java.io.OutputStream out)

#### DERGenerator

    public DERGenerator(java.io.OutputStream out,
                int tagNo,
                boolean isExplicit)

### Method Detail

#### writeLength

    private void writeLength(java.io.OutputStream out,
                   int length)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

#### writeDEREncoded

    void writeDEREncoded(java.io.OutputStream out,
                       int tag,
                       byte[] bytes)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### writeDEREncoded

    void writeDEREncoded(int tag,
                       byte[] bytes)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### writeDEREncoded

    void writeDEREncoded(java.io.OutputStream out,
                       int tag,
                       java.io.InputStream in)
                   throws java.io.IOException

Throws:
  `java.io.IOException`